Page MenuHomePhabricator

[MC/AsmParser] Fix use of Arm calling convention in target agnostic test
ClosedPublic

Authored by luismarques on Nov 8 2020, 4:10 PM.

Details

Summary

This test originally targeted thumbv7. When it was changed to be a target-independent test the use of the ARM_AAPCS calling convention was left in. That causes failures when running the test on targets that do not support that CC, such as RISC-V. This patch removes the calling convention specifier.

Diff Detail

Event Timeline

luismarques created this revision.Nov 8 2020, 4:10 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 8 2020, 4:10 PM
luismarques requested review of this revision.Nov 8 2020, 4:10 PM
compnerd accepted this revision.Nov 9 2020, 8:57 AM
This revision is now accepted and ready to land.Nov 9 2020, 8:57 AM
This revision was landed with ongoing or failed builds.Nov 24 2020, 2:56 PM
This revision was automatically updated to reflect the committed changes.